aboutsummaryrefslogtreecommitdiffstats
path: root/tools/testing/selftests/bpf/test_lirc_mode2.sh
diff options
context:
space:
mode:
authorSean Young <sean@mess.org>2018-05-27 12:24:10 +0100
committerDaniel Borkmann <daniel@iogearbox.net>2018-05-30 12:40:14 +0200
commit6bdd533cee9aadbcd476af30bfff079abe68fcdb (patch)
treea153475f8949a8c9d6340b4f52c37b8912d0622d /tools/testing/selftests/bpf/test_lirc_mode2.sh
parentmedia: rc: introduce BPF_PROG_LIRC_MODE2 (diff)
downloadlinux-dev-6bdd533cee9aadbcd476af30bfff079abe68fcdb.tar.xz
linux-dev-6bdd533cee9aadbcd476af30bfff079abe68fcdb.zip
bpf: add selftest for lirc_mode2 type program
This is simple test over rc-loopback. Acked-by: Yonghong Song <yhs@fb.com> Signed-off-by: Sean Young <sean@mess.org> Signed-off-by: Daniel Borkmann <daniel@iogearbox.net>
Diffstat (limited to 'tools/testing/selftests/bpf/test_lirc_mode2.sh')
-rwxr-xr-xtools/testing/selftests/bpf/test_lirc_mode2.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/tools/testing/selftests/bpf/test_lirc_mode2.sh b/tools/testing/selftests/bpf/test_lirc_mode2.sh
new file mode 100755
index 000000000000..ce2e15e4f976
--- /dev/null
+++ b/tools/testing/selftests/bpf/test_lirc_mode2.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+# SPDX-License-Identifier: GPL-2.0
+
+GREEN='\033[0;92m'
+RED='\033[0;31m'
+NC='\033[0m' # No Color
+
+modprobe rc-loopback
+
+for i in /sys/class/rc/rc*
+do
+ if grep -q DRV_NAME=rc-loopback $i/uevent
+ then
+ LIRCDEV=$(grep DEVNAME= $i/lirc*/uevent | sed sQDEVNAME=Q/dev/Q)
+ fi
+done
+
+if [ -n $LIRCDEV ];
+then
+ TYPE=lirc_mode2
+ ./test_lirc_mode2_user $LIRCDEV
+ ret=$?
+ if [ $ret -ne 0 ]; then
+ echo -e ${RED}"FAIL: $TYPE"${NC}
+ else
+ echo -e ${GREEN}"PASS: $TYPE"${NC}
+ fi
+fi